<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- Generated 2-lug-2017 12.20.07 by Hibernate Tools 5.2.3.Final --><!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping auto-import="true" default-access="property" default-cascade="none" default-lazy="true">
    <class catalog="SicuraSQL_Findomestic_Web" dynamic-insert="false" dynamic-update="false" mutable="true" name="sicura.entities.Vstatistiche" optimistic-lock="version" polymorphism="implicit" schema="dbo" select-before-update="false" table="vStatistiche">
        <composite-id class="sicura.entities.VstatisticheId" mapped="false" name="id" unsaved-value="undefined">
            <key-property name="id" type="int">
                <column name="ID"/>
            </key-property>
            <key-property name="iddisposizione" type="java.lang.Integer">
                <column name="IDDisposizione"/>
            </key-property>
            <key-property name="iddistintaBanca" type="java.lang.Integer">
                <column name="IDDistintaBanca"/>
            </key-property>
            <key-property name="flagIddistintaBanca" type="java.lang.Boolean">
                <column name="FlagIDDistintaBanca"/>
            </key-property>
            <key-property name="idordinante" type="java.lang.Integer">
                <column name="IDOrdinante"/>
            </key-property>
            <key-property name="iddestinatario" type="java.lang.Integer">
                <column name="IDDestinatario"/>
            </key-property>
            <key-property name="iddistintaFlussoInput" type="java.lang.Integer">
                <column name="IDDistintaFlussoInput"/>
            </key-property>
            <key-property name="numeroDisposizioneDistinta" type="java.lang.Integer">
                <column name="NumeroDisposizioneDistinta"/>
            </key-property>
            <key-property name="dataEsecuzioneDisposizione" type="timestamp">
                <column length="23" name="Data_Esecuzione_Disposizione"/>
            </key-property>
            <key-property name="flagDataEsecuzioneDisposizione" type="boolean">
                <column name="FlagData_Esecuzione_Disposizione"/>
            </key-property>
            <key-property name="dataValutaDestinatario" type="timestamp">
                <column length="23" name="Data_Valuta_Destinatario"/>
            </key-property>
            <key-property name="flagDataValutaDestinatario" type="boolean">
                <column name="FlagData_Valuta_Destinatario"/>
            </key-property>
            <key-property name="causale" type="string">
                <column length="5" name="Causale"/>
            </key-property>
            <key-property name="flagCausale" type="boolean">
                <column name="FlagCausale"/>
            </key-property>
            <key-property name="modalitaPagamento" type="string">
                <column length="1" name="ModalitaPagamento"/>
            </key-property>
            <key-property name="flagModalitaPagamento" type="boolean">
                <column name="FlagModalitaPagamento"/>
            </key-property>
            <key-property name="importo" type="string">
                <column length="15" name="Importo"/>
            </key-property>
            <key-property name="flagImporto" type="boolean">
                <column name="FlagImporto"/>
            </key-property>
            <key-property name="importoDbgrid" type="java.lang.Double">
                <column name="ImportoDBGrid" precision="53" scale="0"/>
            </key-property>
            <key-property name="codiceAbiOrdinante" type="string">
                <column length="5" name="Codice_Abi_Ordinante"/>
            </key-property>
            <key-property name="flagCodiceAbiOrdinante" type="boolean">
                <column name="FlagCodice_Abi_Ordinante"/>
            </key-property>
            <key-property name="cabOrdinante" type="string">
                <column length="5" name="Cab_Ordinante"/>
            </key-property>
            <key-property name="flagCabOrdinante" type="boolean">
                <column name="FlagCab_Ordinante"/>
            </key-property>
            <key-property name="contoOrdinante" type="string">
                <column length="12" name="Conto_Ordinante"/>
            </key-property>
            <key-property name="flagContoOrdinante" type="boolean">
                <column name="FlagConto_Ordinante"/>
            </key-property>
            <key-property name="divisaContoOrdinante" type="string">
                <column length="3" name="Divisa_Conto_Ordinante"/>
            </key-property>
            <key-property name="flagDivisaContoOrdinante" type="java.lang.Boolean">
                <column name="FlagDivisa_Conto_Ordinante"/>
            </key-property>
            <key-property name="codiceAbiDestinatario" type="string">
                <column length="5" name="Codice_Abi_Destinatario"/>
            </key-property>
            <key-property name="flagCodiceAbiDestinatario" type="boolean">
                <column name="FlagCodice_Abi_Destinatario"/>
            </key-property>
            <key-property name="cabDestinatario" type="string">
                <column length="5" name="Cab_Destinatario"/>
            </key-property>
            <key-property name="flagCabDestinatario" type="boolean">
                <column name="FlagCab_Destinatario"/>
            </key-property>
            <key-property name="contoDestinatario" type="string">
                <column length="12" name="Conto_Destinatario"/>
            </key-property>
            <key-property name="flagContoDestinatario" type="boolean">
                <column name="FlagConto_Destinatario"/>
            </key-property>
            <key-property name="statoConvalida" type="java.lang.Short">
                <column name="StatoConvalida"/>
            </key-property>
            <key-property name="bancaSportelloDomic" type="string">
                <column length="50" name="Banca_Sportello_Domic"/>
            </key-property>
            <key-property name="flagBancaSportelloDomic" type="boolean">
                <column name="FlagBanca_Sportello_Domic"/>
            </key-property>
            <key-property name="cin" type="string">
                <column length="1" name="Cin"/>
            </key-property>
            <key-property name="flagCin" type="boolean">
                <column name="FlagCin"/>
            </key-property>
            <key-property name="codiceSiaOrdinante" type="string">
                <column length="5" name="Codice_Sia_Ordinante"/>
            </key-property>
            <key-property name="flagCodiceSiaOrdinante" type="boolean">
                <column name="FlagCodice_Sia_Ordinante"/>
            </key-property>
            <key-property name="tipoCodice" type="string">
                <column length="1" name="TipoCodice"/>
            </key-property>
            <key-property name="flagTipoCodice" type="boolean">
                <column name="FlagTipoCodice"/>
            </key-property>
            <key-property name="indirizzoOrdinante" type="string">
                <column length="30" name="Indirizzo_Ordinante"/>
            </key-property>
            <key-property name="flagIndirizzoOrdinante" type="boolean">
                <column name="FlagIndirizzo_Ordinante"/>
            </key-property>
            <key-property name="localitàOrdinante" type="string">
                <column length="30" name="Località_Ordinante"/>
            </key-property>
            <key-property name="flagLocalitàOrdinante" type="boolean">
                <column name="FlagLocalità_Ordinante"/>
            </key-property>
            <key-property name="codiceFiscaleOrdinante" type="string">
                <column length="16" name="Codice_Fiscale_Ordinante"/>
            </key-property>
            <key-property name="flagCodiceFiscaleOrdinante" type="boolean">
                <column name="FlagCodice_Fiscale_Ordinante"/>
            </key-property>
            <key-property name="denominazioneDestinatario" type="string">
                <column length="90" name="DenominazioneDestinatario"/>
            </key-property>
            <key-property name="flagDenominazioneDestinatario" type="boolean">
                <column name="FlagDenominazioneDestinatario"/>
            </key-property>
            <key-property name="codiceFiscaleDestinatario" type="string">
                <column length="16" name="Codice_Fiscale_Destinatario"/>
            </key-property>
            <key-property name="flagCodiceFiscaleDestinatario" type="boolean">
                <column name="FlagCodice_Fiscale_Destinatario"/>
            </key-property>
            <key-property name="indirizzoDestinatario" type="string">
                <column length="30" name="Indirizzo_Destinatario"/>
            </key-property>
            <key-property name="flagIndirizzoDestinatario" type="boolean">
                <column name="FlagIndirizzo_Destinatario"/>
            </key-property>
            <key-property name="capDestinatario" type="string">
                <column length="5" name="Cap_Destinatario"/>
            </key-property>
            <key-property name="flagCapDestinatario" type="boolean">
                <column name="FlagCap_Destinatario"/>
            </key-property>
            <key-property name="cittàDestinatario" type="string">
                <column length="25" name="Città_Destinatario"/>
            </key-property>
            <key-property name="flagCittàDestinatario" type="boolean">
                <column name="FlagCittà_Destinatario"/>
            </key-property>
            <key-property name="provinciaDestinatario" type="string">
                <column length="2" name="Provincia_Destinatario"/>
            </key-property>
            <key-property name="flagProvinciaDestinatario" type="boolean">
                <column name="FlagProvincia_Destinatario"/>
            </key-property>
            <key-property name="domiciliazioneDestinatario" type="string">
                <column length="60" name="Domiciliazione_Destinatario"/>
            </key-property>
            <key-property name="flagDomiciliazioneDestinatario" type="boolean">
                <column name="FlagDomiciliazione_Destinatario"/>
            </key-property>
            <key-property name="descrizioneDisposizione" type="string">
                <column length="2000" name="Descrizione_Disposizione"/>
            </key-property>
            <key-property name="flagDescrizioneDisposizione" type="boolean">
                <column name="FlagDescrizione_Disposizione"/>
            </key-property>
            <key-property name="codiceClienteDebitore" type="string">
                <column length="16" name="CodiceClienteDebitore"/>
            </key-property>
            <key-property name="flagCodiceClienteDebitore" type="boolean">
                <column name="FlagCodiceClienteDebitore"/>
            </key-property>
            <key-property name="aziendaOrdinante" type="string">
                <column length="96" name="Azienda_Ordinante"/>
            </key-property>
            <key-property name="flagAziendaOrdinante" type="boolean">
                <column name="FlagAzienda_Ordinante"/>
            </key-property>
            <key-property name="firmaEmittente" type="string">
                <column length="20" name="FirmaEmittente"/>
            </key-property>
            <key-property name="flagFirmaEmittente" type="boolean">
                <column name="FlagFirmaEmittente"/>
            </key-property>
            <key-property name="campoaDisposizione" type="string">
                <column length="8" name="CampoaDisposizione"/>
            </key-property>
            <key-property name="flagCampoaDisposizione" type="boolean">
                <column name="FlagCampoaDisposizione"/>
            </key-property>
            <key-property name="erroriCampiObbligatori" type="java.lang.Short">
                <column name="ErroriCampiObbligatori"/>
            </key-property>
            <key-property name="erroriCongruenza" type="java.lang.Short">
                <column name="ErroriCongruenza"/>
            </key-property>
            <key-property name="erroriCampiData" type="java.lang.Short">
                <column name="ErroriCampiData"/>
            </key-property>
            <key-property name="erroriPiazzatura" type="java.lang.Short">
                <column name="ErroriPiazzatura"/>
            </key-property>
            <key-property name="flagStampa" type="boolean">
                <column name="FlagStampa"/>
            </key-property>
            <key-property name="coordinateIbanordinante" type="string">
                <column length="42" name="CoordinateIBANordinante"/>
            </key-property>
            <key-property name="flagCoordinateIbanordinante" type="boolean">
                <column name="FlagCoordinateIBANordinante"/>
            </key-property>
            <key-property name="coordinateIbanbeneficiario" type="string">
                <column length="42" name="CoordinateIBANbeneficiario"/>
            </key-property>
            <key-property name="flagCoordinateIbanbeneficiario" type="boolean">
                <column name="FlagCoordinateIBANbeneficiario"/>
            </key-property>
            <key-property name="descrizioneConto" type="string">
                <column length="30" name="DescrizioneConto"/>
            </key-property>
            <key-property name="flagDescrizioneConto" type="boolean">
                <column name="FlagDescrizioneConto"/>
            </key-property>
            <key-property name="richiestaEsito" type="string">
                <column length="1" name="RichiestaEsito"/>
            </key-property>
            <key-property name="flagRichiestaEsito" type="boolean">
                <column name="FlagRichiestaEsito"/>
            </key-property>
            <key-property name="esito" type="string">
                <column length="1" name="Esito"/>
            </key-property>
            <key-property name="flagEsito" type="boolean">
                <column name="FlagEsito"/>
            </key-property>
            <key-property name="tipoCodiceRiferimento" type="string">
                <column length="1" name="TipoCodiceRiferimento"/>
            </key-property>
            <key-property name="flagTipoCodiceRiferimento" type="boolean">
                <column name="FlagTipoCodiceRiferimento"/>
            </key-property>
            <key-property name="codiceRiferimento" type="string">
                <column length="35" name="CodiceRiferimento"/>
            </key-property>
            <key-property name="flagCodiceRiferimento" type="boolean">
                <column name="FlagCodiceRiferimento"/>
            </key-property>
            <key-property name="tipoAnomalia" type="string">
                <column length="1" name="TipoAnomalia"/>
            </key-property>
            <key-property name="flagTipoAnomalia" type="boolean">
                <column name="FlagTipoAnomalia"/>
            </key-property>
            <key-property name="valutaOrdinante" type="timestamp">
                <column length="23" name="ValutaOrdinante"/>
            </key-property>
            <key-property name="flagValutaOrdinante" type="boolean">
                <column name="FlagValutaOrdinante"/>
            </key-property>
            <key-property name="valutaBeneficiario" type="timestamp">
                <column length="23" name="ValutaBeneficiario"/>
            </key-property>
            <key-property name="flagValutaBeneficiario" type="boolean">
                <column name="FlagValutaBeneficiario"/>
            </key-property>
            <key-property name="dataOrdine" type="timestamp">
                <column length="23" name="DataOrdine"/>
            </key-property>
            <key-property name="flagDataOrdine" type="boolean">
                <column name="FlagDataOrdine"/>
            </key-property>
            <key-property name="dataContabileAddebito" type="timestamp">
                <column length="23" name="DataContabileAddebito"/>
            </key-property>
            <key-property name="flagDataContabileAddebito" type="boolean">
                <column name="FlagDataContabileAddebito"/>
            </key-property>
            <key-property name="dataEsecuzione" type="timestamp">
                <column length="23" name="DataEsecuzione"/>
            </key-property>
            <key-property name="flagDataEsecuzione" type="boolean">
                <column name="FlagDataEsecuzione"/>
            </key-property>
            <key-property name="importoCommissioni" type="string">
                <column length="15" name="ImportoCommissioni"/>
            </key-property>
            <key-property name="flagImportoCommissioni" type="boolean">
                <column name="FlagImportoCommissioni"/>
            </key-property>
            <key-property name="importoSpese" type="string">
                <column length="15" name="ImportoSpese"/>
            </key-property>
            <key-property name="flagImportoSpese" type="boolean">
                <column name="FlagImportoSpese"/>
            </key-property>
            <key-property name="importoPenali" type="string">
                <column length="15" name="ImportoPenali"/>
            </key-property>
            <key-property name="flagImportoPenali" type="boolean">
                <column name="FlagImportoPenali"/>
            </key-property>
            <key-property name="numeroAssegnoEmesso" type="string">
                <column length="16" name="NumeroAssegnoEmesso"/>
            </key-property>
            <key-property name="flagNumeroAssegnoEmesso" type="boolean">
                <column name="FlagNumeroAssegnoEmesso"/>
            </key-property>
            <key-property name="bancaGatewayMp" type="string">
                <column length="5" name="BancaGatewayMP"/>
            </key-property>
            <key-property name="flagBancaGatewayMp" type="boolean">
                <column name="FlagBancaGatewayMP"/>
            </key-property>
            <key-property name="codiceMarketPlace" type="string">
                <column length="5" name="CodiceMarketPlace"/>
            </key-property>
            <key-property name="flagCodiceMarketPlace" type="boolean">
                <column name="FlagCodiceMarketPlace"/>
            </key-property>
            <key-property name="userId" type="string">
                <column length="10" name="UserID"/>
            </key-property>
            <key-property name="provenienzaDisposizione" type="string">
                <column length="10" name="ProvenienzaDisposizione"/>
            </key-property>
            <key-property name="tipoFlussoInput" type="string">
                <column length="2" name="TipoFlussoInput"/>
            </key-property>
            <key-property name="iddisposizioneFunzioneOrdinante" type="string">
                <column length="30" name="IDDisposizioneFunzioneOrdinante"/>
            </key-property>
            <key-property name="dataInserimentoDisposizione" type="timestamp">
                <column length="23" name="DataInserimentoDisposizione"/>
            </key-property>
            <key-property name="dataFlussoDisposizione" type="timestamp">
                <column length="23" name="DataFlussoDisposizione"/>
            </key-property>
            <key-property name="dataEsitoDisposizione" type="boolean">
                <column name="DataEsitoDisposizione"/>
            </key-property>
            <key-property name="statoDisposizione" type="string">
                <column length="15" name="StatoDisposizione"/>
            </key-property>
            <key-property name="flagStatoDisposizione" type="boolean">
                <column name="FlagStatoDisposizione"/>
            </key-property>
            <key-property name="codiceSocietà" type="string">
                <column length="3" name="CodiceSocietà"/>
            </key-property>
            <key-property name="flagCodiceSocietà" type="boolean">
                <column name="FlagCodiceSocietà"/>
            </key-property>
            <key-property name="causaleMovimento" type="string">
                <column length="10" name="CausaleMovimento"/>
            </key-property>
            <key-property name="flagCausaleMovimento" type="boolean">
                <column name="FlagCausaleMovimento"/>
            </key-property>
            <key-property name="descrizioneOperazione" type="string">
                <column length="60" name="DescrizioneOperazione"/>
            </key-property>
            <key-property name="flagDescrizioneOperazione" type="boolean">
                <column name="FlagDescrizioneOperazione"/>
            </key-property>
            <key-property name="tipoMovimento" type="string">
                <column length="10" name="TipoMovimento"/>
            </key-property>
            <key-property name="flagTipoMovimento" type="boolean">
                <column name="FlagTipoMovimento"/>
            </key-property>
            <key-property name="funzioneOrdinante" type="string">
                <column length="10" name="FunzioneOrdinante"/>
            </key-property>
            <key-property name="flagFunzioneOrdinante" type="boolean">
                <column name="FlagFunzioneOrdinante"/>
            </key-property>
            <key-property name="descrizioneMovimento" type="string">
                <column length="50" name="DescrizioneMovimento"/>
            </key-property>
            <key-property name="flagDescrizioneMovimento" type="boolean">
                <column name="FlagDescrizioneMovimento"/>
            </key-property>
            <key-property name="contabilizzazioneMovimento" type="boolean">
                <column name="ContabilizzazioneMovimento"/>
            </key-property>
            <key-property name="flagContabilizzazioneMovimento" type="boolean">
                <column name="FlagContabilizzazioneMovimento"/>
            </key-property>
            <key-property name="forzaStatoAr" type="boolean">
                <column name="ForzaStatoAR"/>
            </key-property>
            <key-property name="ramoMinisteriale" type="string">
                <column length="10" name="RamoMinisteriale"/>
            </key-property>
            <key-property name="flagRamoMinisteriale" type="boolean">
                <column name="FlagRamoMinisteriale"/>
            </key-property>
            <key-property name="ramoTecnico" type="string">
                <column length="2" name="RamoTecnico"/>
            </key-property>
            <key-property name="flagRamoTecnico" type="boolean">
                <column name="FlagRamoTecnico"/>
            </key-property>
            <key-property name="agenziaCdc" type="string">
                <column length="10" name="AgenziaCDC"/>
            </key-property>
            <key-property name="flagAgenziaCdc" type="boolean">
                <column name="FlagAgenziaCDC"/>
            </key-property>
            <key-property name="descrizioneAgenziaCdc" type="string">
                <column length="50" name="DescrizioneAgenziaCDC"/>
            </key-property>
            <key-property name="flagDescrizioneAgenziaCdc" type="boolean">
                <column name="FlagDescrizioneAgenziaCDC"/>
            </key-property>
            <key-property name="statistico1" type="string">
                <column length="10" name="Statistico1"/>
            </key-property>
            <key-property name="flagStatistico1" type="boolean">
                <column name="FlagStatistico1"/>
            </key-property>
            <key-property name="statistico2" type="string">
                <column length="10" name="Statistico2"/>
            </key-property>
            <key-property name="flagStatistico2" type="boolean">
                <column name="FlagStatistico2"/>
            </key-property>
            <key-property name="numeroSinistroDanni" type="string">
                <column length="10" name="NumeroSinistroDanni"/>
            </key-property>
            <key-property name="flagNumeroSinistroDanni" type="boolean">
                <column name="FlagNumeroSinistroDanni"/>
            </key-property>
            <key-property name="lastSaved" type="binary">
                <column name="LastSaved"/>
            </key-property>
            <key-property name="noteFunzioneOrdinante" type="string">
                <column length="60" name="NoteFunzioneOrdinante"/>
            </key-property>
            <key-property name="flagNoteFunzioneOrdinante" type="boolean">
                <column name="FlagNoteFunzioneOrdinante"/>
            </key-property>
            <key-property name="noteTesoreria" type="string">
                <column length="60" name="NoteTesoreria"/>
            </key-property>
            <key-property name="flagNoteTesoreria" type="boolean">
                <column name="FlagNoteTesoreria"/>
            </key-property>
        </composite-id>
    </class>
</hibernate-mapping>
